<?php
include 'header.php';
include 'erpc_gp_colaborador_toolbar.php'; //Nome da tabela _list.php
include_once 'connect.php';

// Método para post de Query Avançada
	$consulta = "SELECT 	 colab.id
                    		,colab.ds_nome
                            ,colab.ds_telefone
                            ,funcoes.ds_funcao
                    	FROM erpc_gp_colaboradores colab
                    		LEFT JOIN erpc_gp_funcoes funcoes 
                    		ON colab.id_funcao = funcoes.id
                    	where colab.st_ativo = 1;";


?>

<div class="block">
  <div class="header">
  <h2>Colaboradores</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
			<th width=05%>ID</th>
            <th width=40%>Nome</th>
            <th width=20%>Função</th>
            <th width=20%>Telefone</th>
			<th width=05%>Editar</th>
			<th width=05%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

            $id       	= $registro['id'];
            $id_crip	= base64_encode($id);
	  		$ds_nome	= $registro['ds_nome'];
	  		$ds_telefone = $registro['ds_telefone'];
	  		$ds_funcao  = $registro['ds_funcao'];
	  		
						// $ds_nacionalidade= $registro['ds_nacionalidade'];

			echo "<tr>";
            echo "<td>$id</td>";
            echo "<td>$ds_nome</td>";
            echo "<td>$ds_funcao</td>";
            echo "<td>$ds_telefone</td>";
						// echo "<td>$ds_nacionalidade</td>";

            echo "<td class='text-center'><a href='erpc_gp_colaborador_edit.php?id=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
            echo "<td class='text-center'><a href='erpc_gp_colaborador_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
